POST /qwen/api/v1/services/aigc/video-generation/video-synthesis
Method: POSTEndpoint: /qwen/api/v1/services/aigc/video-generation/video-synthesis
This section contains endpoint-specific behavior, parameters, or usage notes for this API.
Request Parameters
Header Parameters
text
X-DashScope-Async
string
Required
Example:
enable
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json Required
text
model
string
Required
// provider-specific example normalized for English documentation
input
object
Required
video_url
string
Required
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250704/viwndw/%E5%8E%9F%E8%A7%86%E9%A2%91.mp4。
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
parameters
object
Required
style
integer
Optional
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
video_fps
integer
Optional
// provider-specific example normalized for English documentation
animate_emotion
boolean
Optional
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
min_len
integer
Optional
// provider-specific example normalized for English documentation
use_SR
boolean
Optional
// provider-specific example normalized for English documentation
Example
{
"model"
:
"video-style-transform"
,
"input"
:
{
"video_url"
:
"https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250704/viwndw/%E5%8E%9F%E8%A7%86%E9%A2%91.mp4"
}
,
"parameters"
:
{
"style"
:
0
,
"video_fps"
:
15
}
}Example Request
Shell
bash
curl --location --request POST '/qwen/api/v1/services/aigc/video-generation/video-synthesis' \
--header 'X-DashScope-Async: enable' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"model": "video-style-transform",
"input": {
"video_url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250704/viwndw/%E5%8E%9F%E8%A7%86%E9%A2%91.mp4"
},
"parameters": {
"style": 0,
"video_fps": 15
}
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{}